Skip to main content
POST
/
v1
/
documents
/
{id}
/
extract
Prepare extraction
curl --request POST \
  --url https://pnbr.io/v1/documents/{id}/extract \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "project_id": "9142fa4d-7aad-4a1b-8f99-b522fd37518d"
}
'
{
  "status": "ready",
  "document_id": "9784c0d0-13dc-4704-91a5-e32afc953e06",
  "next_action": {
    "method": "POST",
    "path": "/v1/extractions/shape",
    "body": {
      "project_id": "9142fa4d-7aad-4a1b-8f99-b522fd37518d",
      "source_file_id": "9784c0d0-13dc-4704-91a5-e32afc953e06"
    }
  },
  "request_id": "ebde3ee7-bbe9-4a9d-aa95-6bec84b8b84f"
}

Authorizations

Authorization
string
header
required

A pnbr- API key. Project-scoped keys make project_id implicit; org-scoped keys require it.

Path Parameters

id
string
required

Body

application/json
shape_id
string
project_id
string

Response

202 - application/json

Extraction handoff body.